Bug 71271 - up2date 2.7.86 is not updating reboot information
up2date 2.7.86 is not updating reboot information
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.3
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-11 14:02 EDT by Greg Morgan
Modified: 2015-01-07 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-20 22:32:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Morgan 2002-08-11 14:02:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I was following advisory http://rhn.redhat.com/errata/RHSA-2002-160.html.  At
the very end it said to reboot the system because both client and server
applications are affected by the openssl problem.  So I dutifully rebooted.  I
had also applied all the patches by hand in a script--just 'cause.  I was sshed
into my samba server, which is a headless keyboardless server.  I ran up2date
and X displayed the information on my other Redhat client.  The GUI up2date said
that everything was ok.  Just because I wanted to play, I went to the redhat
network site.  It showed that I "Checked In:  2002-08-11 10:17:18 -0700 (MST)",
but the reboot information still showed my reboot time as "Last Booted: 
2002-07-13 13:07:50 -0700 (MST)", which is about five hours after I registered
"Registered:  2002-07-13 08:18:25 -0700 (MST)".  I rebooted today "[root@baloo
root]# date
Sun Aug 11 10:43:33 MST 2002
[root@baloo root]# uptime
 10:43am  up 57 min,  1 user,  load average: 0.05, 0.06, 0.07
", however.

So, I thought there was a problem with running the application on one system and
having the gui display the results on another system's X display.  I then went
to the man page and found all the switches.  I then ran "up2date --nox -v -p
-u".  This command successfully updated my system to say I was updated even
though I had performed the steps by hand.  However, the system reboot time was
not updated.

In all experiments, I made sure that I either performed a shift reload in
Mozilla, or went as far as logging out of rhnetwork and logging in again to the
web page.  I also ran up2date --configure --nox to see if there was something
that I had turned off to make the reboot update.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.up2date --nox -v -p -u
2.view
https://rhn.redhat.com/network/system/system_details.pxt?sid=with_you_system_id_placed_here
3.
	

Actual Results:  "Last Booted" is not refreshed.

Expected Results:  I presume that Redhat would like to know this about my system
so I expect that this field should be refreshed.  Hence I put the severity at
Low because I do not know what Redhat plans to do in this situtation.

Additional info:
Comment 1 Miloslav Trmac 2002-08-11 17:49:18 EDT
Isn't the last booted time updated by the rhnsd daemon, which is run
by default only every two hours?
Comment 2 Greg Morgan 2002-08-20 01:03:47 EDT
I understand what you are saying about the rhnsd performing the update.  I looked again today and I see the information has been updated.
    Registered: 2002-07-13 08:18:25 -0700 (MST)
   Last Booted: 2002-08-13 16:18:53 -0700 (MST)
    Checked In: 2002-08-19 21:15:31 -0700 (MST)
Kernel Version: 2.4.18-5

Is this a problem on my part where I was expecting to be able to update the Last Booted date, when the design was for a daemon to do this?
I reviewed the up2date and rhnsd manual pages.  There was no mention of which program performed the update.  I don't think it is a bug now, but 
my expectations of what should happen were not met.  I am sure that Redhat staff has other issues to work on than thisone.  Perhaps the man 
pages need to be updated, or if you  really think something should be done, provide a switch to up2date to allow the user to freshen the reboot time 
of the server.  Again, is this information that critical for the operation of the Redhat Product Enhancement Advisory service?
Comment 3 Adrian Likins 2003-01-20 22:32:36 EST
At the moment, it's expected that the daemon does this (the
boot time info is sent up when it checks it's queue for 
available actions).

Note You need to log in before you can comment on or make changes to this bug.